itemUsed = true; mainSkill = sword_lvl;
var firstHit; var rand = Math.floor(Math.random()*4); var maxDamage = 1560;
var itemID = 276; var breakSpeech = "What have I done!"; var repair = 4;
var power = Math.sqrt(sword_lvl*5); var basicDMG = 10;

swordEngine(firstHit,rand,maxDamage,citemID,breakSpeech,repair,power,basicDMG);
if (pinv.getCurrentItem() != null) {if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem();}}
if (pinv.getOffhandItem() != null) {if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem();}}

var damageGet = 1; var power = 10+Math.sqrt(sword_lvl*5); var tool = [90, 30, 25, 10, 5, 20, 5];

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}